Loading...
Searching...
No Matches
Dune::OwnerOverlapCopyCommunication< GlobalIdType, LocalIdType >::AddGatherScatter< T > Struct Template Reference

`#include <dune/istl/owneroverlapcopy.hh>`

## Public Types

typedef CommPolicy< T >::IndexedType | V

## Static Public Member Functions

static V | gather (const T &a, std::size_t i)
static void | scatter (T &a, V v, std::size_t i)

## Member Typedef Documentation

## V

template<class GlobalIdType, class LocalIdType = int>
template<typename T>

typedef CommPolicy<T>::IndexedType Dune::OwnerOverlapCopyCommunication< GlobalIdType, LocalIdType >::AddGatherScatter< T >::V

## Member Function Documentation

## gather()

template<class GlobalIdType, class LocalIdType = int>
template<typename T>

V Dune::OwnerOverlapCopyCommunication< GlobalIdType, LocalIdType >::AddGatherScatter< T >::gather | ( | const T & | a,
|  | std::size_t | i )

inline static

## scatter()

template<class GlobalIdType, class LocalIdType = int>
template<typename T>

void Dune::OwnerOverlapCopyCommunication< GlobalIdType, LocalIdType >::AddGatherScatter< T >::scatter | ( | T & | a,
|  | V | v,
|  | std::size_t | i )

inline static

The documentation for this struct was generated from the following file:

- owneroverlapcopy.hh